All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::bind_all_unique Class Reference

`#include <forwards.h>`

Inheritance diagram for viennacl::device_specific::bind_all_unique:

## Public Member Functions

| bind_all_unique ()
bool | bind (viennacl::backend::mem_handle const *)
unsigned int | get (viennacl::backend::mem_handle const *)
Public Member Functions inherited from viennacl::device_specific::symbolic_binder
virtual | ~symbolic_binder ()

## Detailed Description

Definition at line 235 of file forwards.h.

## Constructor & Destructor Documentation

viennacl::device_specific::bind_all_unique::bind_all_unique | ( |  | ) |

inline

Definition at line 238 of file forwards.h.

## Member Function Documentation

bool viennacl::device_specific::bind_all_unique::bind | ( | viennacl::backend::mem_handle const * |  | ) |

inline virtual

Implements viennacl::device_specific::symbolic_binder.

Definition at line 239 of file forwards.h.

unsigned int viennacl::device_specific::bind_all_unique::get | ( | viennacl::backend::mem_handle const * |  | ) |

inline virtual

Implements viennacl::device_specific::symbolic_binder.

Definition at line 240 of file forwards.h.

The documentation for this class was generated from the following file:

- viennacl/device_specific/forwards.h